Get connectors' authentication page url
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/connectorAuthPage/{type} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/connectorAuthPage/{type}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/connectorAuthPage/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"codeVerifier": "<string>",
"oauthClientId": "<string>",
"reconnectParameter": "<string>",
"type": "AEM_PLUGIN",
"url": "<string>"
}Connector
Get connectors' authentication page url
GET
/
api2
/
v1
/
connectorAuthPage
/
{type}
Get connectors' authentication page url
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Query Parameters
Provider subdomain prefix for connector types that need one to build the authentication URL, e.g. mycompany for ZENDESK type mycompany.zendesk.com (not a URL and not the TMS host). Not needed for other connector types.
Response
successful operation
Available options:
AEM_PLUGIN, AMAZON_S3, AZURE, BITBUCKET, BITBUCKETSERVER, BLUEPRINT, BOX, BRAZE, BRAZE_MULTILANG, CONFLUENCE, CONTENTFUL, CONTENTFULENTRYLEVEL, CONTENTFUL2, CONTENTSTACK, DROPBOX, DRUPAL, DRUPAL_PLUGIN, FTP, GIT, GITHUB, GITHUB2, GITLAB, GOOGLE, GOOGLE_DRIVE2, HELPSCOUT, HUBSPOT, JOOMLA, KENTICO, KENTICO_KONTENT, MAGENTO, MARKETO, ONEDRIVE, OPTIMIZELY, PARDOT, PHRASE, SALESFORCE, SFTP, SHAREPOINT, SITECORE, TRIDION, TYPO3, VERBIS, WORDPRESS, ZENDESK Was this page helpful?